> For the complete documentation index, see [llms.txt](https://docs.openmind.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openmind.com/robotics/mac.md).

# Mac

Apple Mac for Robotics

### Hardware

For the Mac Mini, add a 12V input directly to the power rail. You can figure this out yourself, or, find instructions on YouTube.

### Apple Remote Desktop (ARD)

Apple Remote Desktop is a good solution for developing, except that the audio is automatically routed to your development computer when you connect, which then prevents you from remotely debugging on-robot audio hardware issues.

**Solution 1** Stop ARD completely, connect via SSH, and in `system_hw_test`, run:

```bash
uv run test_audio_mac.py
```

**Solution 2** Stop ARD completely, connect via SSH, and run:

```bash
osascript -e 'set volume without output muted'
osascript -e 'set volume output volume 20' # adjust int to whatever value you want
```

**Solution 3** The Mac *might* automatically unmute the default audio device once the ARD session is terminated.

### FileVault / Auto Connect to Wifi

FileVault blocks auto connect to WiFi, making it impossible to remote connect to your Mac after it boots (unless you have a screen/keyboard connected to it), which sadly defeats the entire purpose of ARD.

**Solution** Turn off FileVault, or, do not provide AppleID credentials, in which case FileVault will be off by default.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openmind.com/robotics/mac.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
